Subject: Re: [RFC 0/3] net: imx: Provide support for L2 switch as switchdev accelerator

From: Lukasz Majewski <[email-masked]>
Date: Mon, 28 Jun 2021 11:41:39 +0200

Hi Vladimir,

> On Tue, Jun 22, 2021 at 04:41:08PM +0200, Lukasz Majewski wrote:
> > This patch series is a followup for the earlier effort [1]
> > to bring support for L2 switch IP block on some NXP devices.
> >
> > This time it augment the fec driver, so the L2 switch is treated
> > as a HW network accelerator. This is minimal, yet functional
> > driver, which enables bridging between imx28 ENET-MAC ports.
> >
> > Links:
> > [1] -
> > https://lwn.net/ml/linux-kernel/[email-masked]/
> >  
> 
> On which tree are these patches supposed to apply?
> 
> Patch 1 doesn't apply on today's net-next.
> git am ~/incoming/*
> Applying: ARM: dts: imx28: Add description for L2 switch on XEA board
> error: arch/arm/boot/dts/imx28-xea.dts: does not exist in index
> Patch failed at 0001 ARM: dts: imx28: Add description for L2 switch
> on XEA board hint: Use 'git am --show-current-patch' to see the
> failed patch When you have resolved this problem, run "git am
> --continue". If you prefer to skip this patch, run "git am --skip"
> instead. To restore the original branch and stop patching, run "git
> am --abort".
> 
> Patch 2 doesn't apply on today's linux-next.
> git am ~/incoming/*
> Applying: ARM: dts: imx28: Add description for L2 switch on XEA board
> Applying: net: Provide switchdev driver for NXP's More Than IP L2
> switch error: patch failed: drivers/net/ethernet/freescale/Makefile:27
> error: drivers/net/ethernet/freescale/Makefile: patch does not apply
> Patch failed at 0002 net: Provide switchdev driver for NXP's More
> Than IP L2 switch hint: Use 'git am --show-current-patch' to see the
> failed patch When you have resolved this problem, run "git am
> --continue". If you prefer to skip this patch, run "git am --skip"
> instead. To restore the original branch and stop patching, run "git
> am --abort".

Please use following repos:

- RFC v1 for switchdev (sent now):
https://source.denx.de/linux/linux-imx28-l2switch/-/commits/imx28-v5.12-L2-upstream-switchdev-RFC_v1

- RFC v1 for DSA:
https://source.denx.de/linux/linux-imx28-l2switch/-/commits/imx28-v5.12-L2-upstream-DSA-RFC_v1

Best regards,

Lukasz Majewski

--

DENX Software Engineering GmbH,      Managing Director: Wolfgang Denk
HRB 165235 Munich, Office: Kirchenstr.5, D-82194 Groebenzell, Germany
Phone: (+49)-8142-66989-59 Fax: (+49)-8142-66989-80 Email: [email-masked]